Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.common.junit
Class ExtendedAssert

    java.lang.Object
      junit.framework.Assert
          org.jboss.portal.common.junit.ExtendedAssert

    public class ExtendedAssert

extends junit.framework.Assert

Add more assert methods.

Version:
  $Revision: 7374 $
Author:
  Julien Viet

Nested Class Summary
`static class` | `ExtendedAssert.DecoratedObject`
`static interface` | `ExtendedAssert.Decorator`

Constructor Summary
`ExtendedAssert()`

Method Summary
`static void` | `assertEquals(byte[] expected, byte[] actual)`
`static void` | `assertEquals(char[] expected, char[] actual)`
`static void` | `assertEquals(java.lang.Object[] expected, java.lang.Object[] actual)`
`static void` | `assertEquals(java.lang.Object[] expected, java.lang.Object[] tested, boolean isOrderRelevant, java.lang.String failMessage)`
`static void` | `assertEquals(java.lang.Object[] expected, java.lang.Object[] tested, boolean isOrderRelevant, java.lang.String failMessage, ExtendedAssert.Decorator decorator)`
`static void` | `assertEquals(java.lang.String message, byte[] expected, byte[] actual)` Test equality as defined by java.util.Array#equals(char[], char[]).
`static void` | `assertEquals(java.lang.String message, char[] expected, char[] actual)` Test equality as defined by java.util.Array#equals(char[], char[]).
`static void` | `assertEquals(java.lang.String message, java.lang.Object[] expected, java.lang.Object[] actual)` Test equality as defined by java.util.Array#equals(Object[], Object[]).
`static void` | `assertString1ContainsString2(java.lang.String string1, java.lang.String string2)`
`static java.lang.Object[]` | `decorate(java.lang.Object[] toBeDecorated, ExtendedAssert.Decorator decorator)`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtendedAssert

    public ExtendedAssert()

Method Detail

### assertEquals

    public static void assertEquals(java.lang.Object[] expected,
                                    java.lang.Object[] actual)

  See Also:
    `assertEquals(Object[],Object[])`

### assertEquals

    public static void assertEquals(java.lang.String message,
                                    java.lang.Object[] expected,
                                    java.lang.Object[] actual)

  Test equality as defined by java.util.Array#equals(Object[], Object[]).

### assertEquals

    public static void assertEquals(char[] expected,
                                    char[] actual)

  See Also:
    `assertEquals(char[],char[])`

### assertEquals

    public static void assertEquals(java.lang.String message,
                                    char[] expected,
                                    char[] actual)

  Test equality as defined by java.util.Array#equals(char[], char[]).

### assertEquals

    public static void assertEquals(byte[] expected,
                                    byte[] actual)

  See Also:
    `assertEquals(byte[],byte[])`

### assertEquals

    public static void assertEquals(java.lang.String message,
                                    byte[] expected,
                                    byte[] actual)

  Test equality as defined by java.util.Array#equals(char[], char[]).

### assertEquals

    public static void assertEquals(java.lang.Object[] expected,
                                    java.lang.Object[] tested,
                                    boolean isOrderRelevant,
                                    java.lang.String failMessage)

### assertEquals

    public static void assertEquals(java.lang.Object[] expected,
                                    java.lang.Object[] tested,
                                    boolean isOrderRelevant,
                                    java.lang.String failMessage,
                                    ExtendedAssert.Decorator decorator)

### decorate

    public static java.lang.Object[] decorate(java.lang.Object[] toBeDecorated,
                                              ExtendedAssert.Decorator decorator)

### assertString1ContainsString2

    public static void assertString1ContainsString2(java.lang.String string1,
                                                    java.lang.String string2)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.